<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>adv_js_hw2</title>
</head>

<body>
    <script>
        const books = [
            {
                author: "Люсі Фолі",
                name: "Список запрошених",
                price: 70
            },
            {
                author: "Сюзанна Кларк",
                name: "Джонатан Стрейндж і м-р Норрелл",
            },
            {
                name: "Дизайн. Книга для недизайнерів.",
                price: 70
            },
            {
                author: "Алан Мур",
                name: "Неономікон",
                price: 70
            },
            {
                author: "Террі Пратчетт",
                name: "Рухомі картинки",
                price: 40
            },
            {
                author: "Анґус Гайленд",
                name: "Коти в мистецтві",
            }
        ];

        const rootDiv = document.createElement('div');
        rootDiv.id = 'root';

        const ul = document.createElement('ul');

        books.forEach((book, index) => {
            try {
                if (!book.author) throw new Error(`Missing 'author' property in book ${index + 1}`);
                if (!book.name) throw new Error(`Missing 'name' property in book ${index + 1}`);
                if (!book.price) throw new Error(`Missing 'price' property in book ${index + 1}`);

                const li = document.createElement('li');
                li.textContent = `Author: ${book.author}, Name: ${book.name}, Price: ${book.price}`;
                ul.appendChild(li);
            } catch (error) {
                console.error(`Error: ${error.message}`);
            }
        });

        if (ul.childNodes.length > 0) {
            rootDiv.appendChild(ul);
        }

        document.body.appendChild(rootDiv);   
    </script>
</body>

</html>
